require 'test_helper'

class WeekdaysControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:weekdays)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_weekday
    assert_difference('Weekday.count') do
      post :create, :weekday => { }
    end

    assert_redirected_to weekday_path(assigns(:weekday))
  end

  def test_should_show_weekday
    get :show, :id => weekdays(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => weekdays(:one).id
    assert_response :success
  end

  def test_should_update_weekday
    put :update, :id => weekdays(:one).id, :weekday => { }
    assert_redirected_to weekday_path(assigns(:weekday))
  end

  def test_should_destroy_weekday
    assert_difference('Weekday.count', -1) do
      delete :destroy, :id => weekdays(:one).id
    end

    assert_redirected_to weekdays_path
  end
end
